HqlSqlTokenTypes (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.antlr
Interface HqlSqlTokenTypes

All Known Implementing Classes:
  AbstractMapComponentNode, BooleanLiteralNode, FromClause, HqlSqlBaseWalker, HqlSqlWalker, LiteralNode, LiteralProcessor, MapEntryNode, MapKeyNode, MapValueNode, OrderByClause, SqlASTFactory, SyntheticAndFactory

    public interface HqlSqlTokenTypes

Field Summary
`static int` | `AGGREGATE`
`static int` | `ALIAS`
`static int` | `ALIAS_REF`
`static int` | `ALL`
`static int` | `AND`
`static int` | `ANY`
`static int` | `AS`
`static int` | `ASCENDING`
`static int` | `AVG`
`static int` | `BETWEEN`
`static int` | `BOGUS`
`static int` | `BOTH`
`static int` | `CASE`
`static int` | `CASE2`
`static int` | `CLASS`
`static int` | `CLOSE`
`static int` | `CLOSE_BRACKET`
`static int` | `COLON`
`static int` | `COMMA`
`static int` | `CONCAT`
`static int` | `CONSTANT`
`static int` | `CONSTRUCTOR`
`static int` | `COUNT`
`static int` | `DELETE`
`static int` | `DESCENDING`
`static int` | `DISTINCT`
`static int` | `DIV`
`static int` | `DOT`
`static int` | `ELEMENTS`
`static int` | `ELSE`
`static int` | `EMPTY`
`static int` | `END`
`static int` | `ENTRY`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `ESCAPE`
`static int` | `ESCqs`
`static int` | `EXISTS`
`static int` | `EXPONENT`
`static int` | `EXPR_LIST`
`static int` | `FALSE`
`static int` | `FETCH`
`static int` | `FILTER_ENTITY`
`static int` | `FILTERS`
`static int` | `FLOAT_SUFFIX`
`static int` | `FROM`
`static int` | `FROM_FRAGMENT`
`static int` | `FULL`
`static int` | `GE`
`static int` | `GROUP`
`static int` | `GT`
`static int` | `HAVING`
`static int` | `HEX_DIGIT`
`static int` | `ID_LETTER`
`static int` | `ID_START_LETTER`
`static int` | `IDENT`
`static int` | `IMPLIED_FROM`
`static int` | `IN`
`static int` | `IN_LIST`
`static int` | `INDEX_OP`
`static int` | `INDICES`
`static int` | `INNER`
`static int` | `INSERT`
`static int` | `INTO`
`static int` | `IS`
`static int` | `IS_NOT_NULL`
`static int` | `IS_NULL`
`static int` | `JAVA_CONSTANT`
`static int` | `JOIN`
`static int` | `JOIN_FRAGMENT`
`static int` | `KEY`
`static int` | `LE`
`static int` | `LEADING`
`static int` | `LEFT`
`static int` | `LEFT_OUTER`
`static int` | `LIKE`
`static int` | `LITERAL_ascending`
`static int` | `LITERAL_by`
`static int` | `LITERAL_descending`
`static int` | `LT`
`static int` | `MAX`
`static int` | `MEMBER`
`static int` | `METHOD_CALL`
`static int` | `METHOD_NAME`
`static int` | `MIN`
`static int` | `MINUS`
`static int` | `MOD`
`static int` | `NAMED_PARAM`
`static int` | `NE`
`static int` | `NEW`
`static int` | `NOT`
`static int` | `NOT_BETWEEN`
`static int` | `NOT_IN`
`static int` | `NOT_LIKE`
`static int` | `NULL`
`static int` | `NULL_TREE_LOOKAHEAD`
`static int` | `NUM_BIG_DECIMAL`
`static int` | `NUM_BIG_INTEGER`
`static int` | `NUM_DOUBLE`
`static int` | `NUM_FLOAT`
`static int` | `NUM_INT`
`static int` | `NUM_LONG`
`static int` | `OBJECT`
`static int` | `OF`
`static int` | `ON`
`static int` | `OPEN`
`static int` | `OPEN_BRACKET`
`static int` | `OR`
`static int` | `ORDER`
`static int` | `ORDER_ELEMENT`
`static int` | `OUTER`
`static int` | `PARAM`
`static int` | `PLUS`
`static int` | `PROPERTIES`
`static int` | `PROPERTY_REF`
`static int` | `QUERY`
`static int` | `QUOTED_STRING`
`static int` | `RANGE`
`static int` | `RESULT_VARIABLE_REF`
`static int` | `RIGHT`
`static int` | `RIGHT_OUTER`
`static int` | `ROW_STAR`
`static int` | `SELECT`
`static int` | `SELECT_CLAUSE`
`static int` | `SELECT_COLUMNS`
`static int` | `SELECT_EXPR`
`static int` | `SELECT_FROM`
`static int` | `SET`
`static int` | `SOME`
`static int` | `SQL_NE`
`static int` | `SQL_TOKEN`
`static int` | `STAR`
`static int` | `SUM`
`static int` | `THEN`
`static int` | `THETA_JOINS`
`static int` | `TRAILING`
`static int` | `TRUE`
`static int` | `UNARY_MINUS`
`static int` | `UNARY_PLUS`
`static int` | `UNION`
`static int` | `UPDATE`
`static int` | `VALUE`
`static int` | `VECTOR_EXPR`
`static int` | `VERSIONED`
`static int` | `WEIRD_IDENT`
`static int` | `WHEN`
`static int` | `WHERE`
`static int` | `WITH`
`static int` | `WS`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### NULL_TREE_LOOKAHEAD

    static final int NULL_TREE_LOOKAHEAD

See Also:
  Constant Field Values

### ALL

    static final int ALL

See Also:
  Constant Field Values

### ANY

    static final int ANY

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### AS

    static final int AS

See Also:
  Constant Field Values

### ASCENDING

    static final int ASCENDING

See Also:
  Constant Field Values

### AVG

    static final int AVG

See Also:
  Constant Field Values

### BETWEEN

    static final int BETWEEN

See Also:
  Constant Field Values

### CLASS

    static final int CLASS

See Also:
  Constant Field Values

### COUNT

    static final int COUNT

See Also:
  Constant Field Values

### DELETE

    static final int DELETE

See Also:
  Constant Field Values

### DESCENDING

    static final int DESCENDING

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### DISTINCT

    static final int DISTINCT

See Also:
  Constant Field Values

### ELEMENTS

    static final int ELEMENTS

See Also:
  Constant Field Values

### ESCAPE

    static final int ESCAPE

See Also:
  Constant Field Values

### EXISTS

    static final int EXISTS

See Also:
  Constant Field Values

### FALSE

    static final int FALSE

See Also:
  Constant Field Values

### FETCH

    static final int FETCH

See Also:
  Constant Field Values

### FROM

    static final int FROM

See Also:
  Constant Field Values

### FULL

    static final int FULL

See Also:
  Constant Field Values

### GROUP

    static final int GROUP

See Also:
  Constant Field Values

### HAVING

    static final int HAVING

See Also:
  Constant Field Values

### IN

    static final int IN

See Also:
  Constant Field Values

### INDICES

    static final int INDICES

See Also:
  Constant Field Values

### INNER

    static final int INNER

See Also:
  Constant Field Values

### INSERT

    static final int INSERT

See Also:
  Constant Field Values

### INTO

    static final int INTO

See Also:
  Constant Field Values

### IS

    static final int IS

See Also:
  Constant Field Values

### JOIN

    static final int JOIN

See Also:
  Constant Field Values

### LEFT

    static final int LEFT

See Also:
  Constant Field Values

### LIKE

    static final int LIKE

See Also:
  Constant Field Values

### MAX

    static final int MAX

See Also:
  Constant Field Values

### MIN

    static final int MIN

See Also:
  Constant Field Values

### NEW

    static final int NEW

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### NULL

    static final int NULL

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### ORDER

    static final int ORDER

See Also:
  Constant Field Values

### OUTER

    static final int OUTER

See Also:
  Constant Field Values

### PROPERTIES

    static final int PROPERTIES

See Also:
  Constant Field Values

### RIGHT

    static final int RIGHT

See Also:
  Constant Field Values

### SELECT

    static final int SELECT

See Also:
  Constant Field Values

### SET

    static final int SET

See Also:
  Constant Field Values

### SOME

    static final int SOME

See Also:
  Constant Field Values

### SUM

    static final int SUM

See Also:
  Constant Field Values

### TRUE

    static final int TRUE

See Also:
  Constant Field Values

### UNION

    static final int UNION

See Also:
  Constant Field Values

### UPDATE

    static final int UPDATE

See Also:
  Constant Field Values

### VERSIONED

    static final int VERSIONED

See Also:
  Constant Field Values

### WHERE

    static final int WHERE

See Also:
  Constant Field Values

### CASE

    static final int CASE

See Also:
  Constant Field Values

### END

    static final int END

See Also:
  Constant Field Values

### ELSE

    static final int ELSE

See Also:
  Constant Field Values

### THEN

    static final int THEN

See Also:
  Constant Field Values

### WHEN

    static final int WHEN

See Also:
  Constant Field Values

### ON

    static final int ON

See Also:
  Constant Field Values

### WITH

    static final int WITH

See Also:
  Constant Field Values

### BOTH

    static final int BOTH

See Also:
  Constant Field Values

### EMPTY

    static final int EMPTY

See Also:
  Constant Field Values

### LEADING

    static final int LEADING

See Also:
  Constant Field Values

### MEMBER

    static final int MEMBER

See Also:
  Constant Field Values

### OBJECT

    static final int OBJECT

See Also:
  Constant Field Values

### OF

    static final int OF

See Also:
  Constant Field Values

### TRAILING

    static final int TRAILING

See Also:
  Constant Field Values

### KEY

    static final int KEY

See Also:
  Constant Field Values

### VALUE

    static final int VALUE

See Also:
  Constant Field Values

### ENTRY

    static final int ENTRY

See Also:
  Constant Field Values

### AGGREGATE

    static final int AGGREGATE

See Also:
  Constant Field Values

### ALIAS

    static final int ALIAS

See Also:
  Constant Field Values

### CONSTRUCTOR

    static final int CONSTRUCTOR

See Also:
  Constant Field Values

### CASE2

    static final int CASE2

See Also:
  Constant Field Values

### EXPR_LIST

    static final int EXPR_LIST

See Also:
  Constant Field Values

### FILTER_ENTITY

    static final int FILTER_ENTITY

See Also:
  Constant Field Values

### IN_LIST

    static final int IN_LIST

See Also:
  Constant Field Values

### INDEX_OP

    static final int INDEX_OP

See Also:
  Constant Field Values

### IS_NOT_NULL

    static final int IS_NOT_NULL

See Also:
  Constant Field Values

### IS_NULL

    static final int IS_NULL

See Also:
  Constant Field Values

### METHOD_CALL

    static final int METHOD_CALL

See Also:
  Constant Field Values

### NOT_BETWEEN

    static final int NOT_BETWEEN

See Also:
  Constant Field Values

### NOT_IN

    static final int NOT_IN

See Also:
  Constant Field Values

### NOT_LIKE

    static final int NOT_LIKE

See Also:
  Constant Field Values

### ORDER_ELEMENT

    static final int ORDER_ELEMENT

See Also:
  Constant Field Values

### QUERY

    static final int QUERY

See Also:
  Constant Field Values

### RANGE

    static final int RANGE

See Also:
  Constant Field Values

### ROW_STAR

    static final int ROW_STAR

See Also:
  Constant Field Values

### SELECT_FROM

    static final int SELECT_FROM

See Also:
  Constant Field Values

### UNARY_MINUS

    static final int UNARY_MINUS

See Also:
  Constant Field Values

### UNARY_PLUS

    static final int UNARY_PLUS

See Also:
  Constant Field Values

### VECTOR_EXPR

    static final int VECTOR_EXPR

See Also:
  Constant Field Values

### WEIRD_IDENT

    static final int WEIRD_IDENT

See Also:
  Constant Field Values

### CONSTANT

    static final int CONSTANT

See Also:
  Constant Field Values

### NUM_DOUBLE

    static final int NUM_DOUBLE

See Also:
  Constant Field Values

### NUM_FLOAT

    static final int NUM_FLOAT

See Also:
  Constant Field Values

### NUM_LONG

    static final int NUM_LONG

See Also:
  Constant Field Values

### NUM_BIG_INTEGER

    static final int NUM_BIG_INTEGER

See Also:
  Constant Field Values

### NUM_BIG_DECIMAL

    static final int NUM_BIG_DECIMAL

See Also:
  Constant Field Values

### JAVA_CONSTANT

    static final int JAVA_CONSTANT

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### EQ

    static final int EQ

See Also:
  Constant Field Values

### OPEN

    static final int OPEN

See Also:
  Constant Field Values

### CLOSE

    static final int CLOSE

See Also:
  Constant Field Values

### LITERAL_by

    static final int LITERAL_by

See Also:
  Constant Field Values

### LITERAL_ascending

    static final int LITERAL_ascending

See Also:
  Constant Field Values

### LITERAL_descending

    static final int LITERAL_descending

See Also:
  Constant Field Values

### NE

    static final int NE

See Also:
  Constant Field Values

### SQL_NE

    static final int SQL_NE

See Also:
  Constant Field Values

### LT

    static final int LT

See Also:
  Constant Field Values

### GT

    static final int GT

See Also:
  Constant Field Values

### LE

    static final int LE

See Also:
  Constant Field Values

### GE

    static final int GE

See Also:
  Constant Field Values

### CONCAT

    static final int CONCAT

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### STAR

    static final int STAR

See Also:
  Constant Field Values

### DIV

    static final int DIV

See Also:
  Constant Field Values

### MOD

    static final int MOD

See Also:
  Constant Field Values

### OPEN_BRACKET

    static final int OPEN_BRACKET

See Also:
  Constant Field Values

### CLOSE_BRACKET

    static final int CLOSE_BRACKET

See Also:
  Constant Field Values

### COLON

    static final int COLON

See Also:
  Constant Field Values

### PARAM

    static final int PARAM

See Also:
  Constant Field Values

### NUM_INT

    static final int NUM_INT

See Also:
  Constant Field Values

### QUOTED_STRING

    static final int QUOTED_STRING

See Also:
  Constant Field Values

### IDENT

    static final int IDENT

See Also:
  Constant Field Values

### ID_START_LETTER

    static final int ID_START_LETTER

See Also:
  Constant Field Values

### ID_LETTER

    static final int ID_LETTER

See Also:
  Constant Field Values

### ESCqs

    static final int ESCqs

See Also:
  Constant Field Values

### WS

    static final int WS

See Also:
  Constant Field Values

### HEX_DIGIT

    static final int HEX_DIGIT

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### FLOAT_SUFFIX

    static final int FLOAT_SUFFIX

See Also:
  Constant Field Values

### FROM_FRAGMENT

    static final int FROM_FRAGMENT

See Also:
  Constant Field Values

### IMPLIED_FROM

    static final int IMPLIED_FROM

See Also:
  Constant Field Values

### JOIN_FRAGMENT

    static final int JOIN_FRAGMENT

See Also:
  Constant Field Values

### SELECT_CLAUSE

    static final int SELECT_CLAUSE

See Also:
  Constant Field Values

### LEFT_OUTER

    static final int LEFT_OUTER

See Also:
  Constant Field Values

### RIGHT_OUTER

    static final int RIGHT_OUTER

See Also:
  Constant Field Values

### ALIAS_REF

    static final int ALIAS_REF

See Also:
  Constant Field Values

### PROPERTY_REF

    static final int PROPERTY_REF

See Also:
  Constant Field Values

### SQL_TOKEN

    static final int SQL_TOKEN

See Also:
  Constant Field Values

### SELECT_COLUMNS

    static final int SELECT_COLUMNS

See Also:
  Constant Field Values

### SELECT_EXPR

    static final int SELECT_EXPR

See Also:
  Constant Field Values

### THETA_JOINS

    static final int THETA_JOINS

See Also:
  Constant Field Values

### FILTERS

    static final int FILTERS

See Also:
  Constant Field Values

### METHOD_NAME

    static final int METHOD_NAME

See Also:
  Constant Field Values

### NAMED_PARAM

    static final int NAMED_PARAM

See Also:
  Constant Field Values

### BOGUS

    static final int BOGUS

See Also:
  Constant Field Values

### RESULT_VARIABLE_REF

    static final int RESULT_VARIABLE_REF

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.